Andreas Jung wrote:
> make sdist:
> [EMAIL PROTECTED]:~/sandboxes/Zope-2.9/2.9.0b1: make sdist
> zpkg -C /develop/sandboxes/Zope-2.9/2.9.0b1/releases/Zope2.cfg
> 'version.txt' doesn't match any files in <collection>
> (in /develop/sandboxes/Zope-2.9/2.9.0b1/lib/python/zope/app/PACKAGE.cfg)
> ----
> temporary files are in /tmp/zpkg-50vtPj
> make: *** [sdist] Error 1

This is a very recent problem and a result of Jim's inconsistent handling of the
"version.txt" matter yesterday. says 
that should be created on a tag and should 
also be
modified to include version.txt *on the tag*. Jim did the latter on the Zope 
3.2 branch.

The Zope 2.9 externals currently point to the Zope 3.2 branch which references 
in PACKAGE.cfg but doesn't have one. Only the 3.2.0beta1 tag has it. I think 

  a) should not mention version.txt when there isn't one, 
meaning on
the branch

  b) Zope 2.9 externals should now point to the Zope 3.2.0beta1 tag.

By the way, this issue reminds me: We haven't figured out how to handle Zope 2's
version.txt at all! I totally forgot about it. Zope 2 expects a version.txt in
Zope/lib/python, but zpkg has no way to support a data file that isn't in a 
package. So there would be no way to package it nor to install it (I don't think
distutils knows how to install a non-package-related datafile either).

I propose that the future place for Zope 2's version.txt is the Zope2 package. 
Some code
inside Zope 2 that reads version info from version.txt would have to be changed 
for that,
though. This should be fixed for the 2.9 beta, meaning today. I'm outside 
svn+ssh access
range right now, so either you do it, Andreas, or you wait until I'm at home in 
about 5


This message was sent using IMP, the Internet Messaging Program.
Zope-Dev maillist  -
**  No cross posts or HTML encoding!  **
(Related lists - )

Reply via email to